#list of the available seeds at the game's start
seeds = {
    "Boat": [[1, 1, 0], [1, 0, 1], [0, 1, 0]],
    "R_pentomino": [[0, 1, 1], [1, 1, 0], [0, 1, 0]],
    "Beacon": [[1, 1, 0, 0], [1, 1, 0, 0], [0, 0, 1, 1], [0, 0, 1, 1]],
    "Acorn": [[0, 1, 0, 0, 0, 0, 0], [0, 0, 0, 1, 0, 0, 0], [1, 1, 0, 0, 1, 1, 1]],
    "Block_switch_engine": [
        [0, 0, 0, 0, 0, 0, 1, 0],
        [0, 0, 0, 0, 1, 0, 1, 1],
        [0, 0, 0, 0, 1, 0, 1, 0],
        [0, 0, 0, 0, 1, 0, 0, 0],
        [0, 0, 1, 0, 0, 0, 0, 0],
        [1, 0, 1, 0, 0, 0, 0, 0]],
    "Infinite": [
        [1, 1, 1, 0, 1],
        [1, 0, 0, 0, 0],
        [0, 0, 0, 1, 1],
        [0, 1, 1, 0, 1],
        [1, 0, 1, 0, 1]],
    #Added seeds
    "Mango":[[0,1,1,0,0],[1,0,0,1,0],[0,1,0,0,1],[0,0,1,1,0]],
    "Blinker": [[0,1,0], [0,1,0], [0,1,0]],
    "Bee-hive":[[0,1,1,0], [1,0,0,1], [0,1,1,0]],
    "Loaf": [[0,1,1,0], [1,0,0,1], [0,1,0,1], [0,0,1,0]],
    "Tub": [[0,1,0], [1,0,1], [0,1,0]],
    "Diehard": [[0,0,0,0,0,0,1,0], [1,1,0,0,0,0,0,0], [0,1,0,0,0,1,1,1],],
    "Angel": [[0,0,1,0,0], [1,1,0,1,1], [0,1,0,1,0], [0,0,1,0,0]],
    "Toad": [[0,1,1,1],[1,1,1,0]],
    "Anvil": [
        [0,1,1,1,1,0,0],
        [1,0,0,0,0,1,0],
        [0,1,1,1,0,1,0],
        [0,0,0,1,0,1,1]],
    
    "Quadpole":[
        [1,1,0,0,0,0,0],
        [1,0,1,0,0,0,0],
        [0,0,0,0,0,0,0],
        [0,0,1,0,1,0,0],
        [0,0,0,0,0,0,0],
        [0,0,0,0,1,0,1],
        [0,0,0,0,0,1,1]],
    "Achimps16": [
        [0,0,0,0,0,0,0,1,1,0,0,0,0],
        [0,0,0,0,0,0,0,1,0,1,0,0,0],
        [0,0,1,0,0,0,0,1,0,1,1,0,0],
        [0,1,1,0,0,0,0,0,1,0,0,0,0],
        [1,0,0,1,0,0,0,0,0,0,0,0,0],
        [1,1,1,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,1,1,1],
        [0,0,0,0,0,0,0,0,0,1,0,0,1],
        [0,0,0,0,1,0,0,0,0,0,1,1,0],
        [0,0,1,1,0,1,0,0,0,0,1,0,0],
        [0,0,0,1,0,1,0,0,0,0,0,0,0],
        [0,0,0,0,1,1,0,0,0,0,0,0,0]],
    "Tumbler": [
        [0,1,0,0,0,0,0,1,0],
        [1,0,1,0,0,0,1,0,1],
        [1,0,0,1,0,1,0,0,1],
        [0,0,1,0,0,0,1,0,0],
        [0,0,1,1,0,1,1,0,0]],
    "Thunderbird": [
        [0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0],
        [0,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,1,1],
        [1,1,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0],
        [0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]],
    "Ants":[
        [1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0],
        [0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1],
        [0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1],
        [1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0]],
    "Beetle": [ 
        [0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,1,1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,1,1,0,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,1,1,0,1,0,0,0,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [1,0,1,0,1,0,1,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [1,0,1,0,1,0,1,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,1,1,1,1,0,0,0,0,1,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,1,1,1,1,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,1,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,1,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,1,1,1,1,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,0,0,0,0,1,1,1,1,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,1,1,0,1,0,1,0,1],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,1,1,0,1,0,1,0,1],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,0,0,0,0,1,0,1,1,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,0,0,1,1,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,1,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0]],
     "Alien":[
        [0,0,0,0,0,0,1,1,1,0,0,0,0,0,0,0,1,1,1,0,0,0,0,0,0],
        [0,0,1,0,1,1,0,0,0,1,0,0,0,0,0,1,0,0,0,1,1,0,1,0,0],
        [0,1,1,1,0,0,0,1,0,1,0,0,0,0,0,1,0,1,0,0,0,1,1,1,0],
        [1,0,0,0,1,0,0,0,0,1,1,0,0,0,1,1,0,0,0,0,1,0,0,0,1],
        [0,1,0,0,0,0,0,0,1,0,1,1,0,1,1,0,1,0,0,0,0,0,0,1,0],
        [0,0,0,0,0,0,0,1,0,0,0,1,0,1,0,0,0,1,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,1,0,0,1,0,0,0,1,0,0,1,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,1,1,0,1,1,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,1,1,0,1,0,1,0,1,1,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,1,0,1,0,0,0,1,0,1,0,0,0,0,0,0,0,0]],
    "Sun": [
        [0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,1,1,1,1,1,1,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0],
        [0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0],
        [0,1,1,1,0,1,1,0,0,0,0,0,0,0,0,1,1,0,1,1,1,0],
        [1,0,0,0,1,1,1,0,0,0,0,0,0,0,0,1,1,1,0,0,0,1],
        [0,0,0,0,1,0,1,0,0,0,0,0,0,0,0,1,0,1,0,0,0,0],
        [0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,1,1,1,1,1,1,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0]],
    "Edna":[
        [0,0,1,0,0,1,0,0,1,0,0,0,0,0,1,0,0,0,0,1],
        [0,0,1,1,0,0,0,0,1,0,0,1,0,0,1,1,0,1,0,0],
        [0,1,1,1,1,0,1,1,0,1,1,1,1,0,1,0,1,0,1,0],
        [1,1,0,1,0,0,0,0,0,1,1,0,1,1,0,0,1,1,1,0],
        [0,0,0,0,0,0,0,0,1,0,0,1,0,0,1,1,1,0,0,0],
        [1,1,1,0,1,1,0,0,0,1,0,0,1,0,0,1,0,0,0,1],
        [0,1,1,1,1,0,0,0,0,0,1,0,0,1,1,1,0,0,1,1],
        [1,0,1,0,0,1,0,0,0,1,0,0,0,0,0,1,0,1,0,0],
        [1,1,0,1,0,1,1,0,1,1,1,0,1,0,0,0,0,0,0,0],
        [0,0,1,0,0,1,1,0,0,0,0,0,1,0,1,0,0,1,0,1],
        [1,1,0,0,1,0,1,0,1,1,0,0,0,1,0,0,1,1,0,0],
        [0,0,0,0,1,0,1,0,0,0,1,0,1,0,0,0,0,1,1,0],
        [0,1,0,0,1,0,1,0,0,0,0,1,0,0,1,1,0,0,0,0],
        [1,1,1,0,0,0,1,0,0,0,1,0,0,0,0,1,1,1,1,0],
        [1,1,0,1,1,0,0,0,0,0,0,1,0,0,0,0,1,0,0,1],
        [0,0,0,0,0,1,0,0,0,1,0,1,0,0,0,0,0,0,1,1],
        [0,0,0,0,0,0,1,0,0,1,0,0,0,0,0,1,0,1,0,0],
        [0,0,0,0,0,0,0,0,1,0,0,1,0,0,1,0,1,0,0,0],
        [0,0,1,1,1,1,0,1,0,0,1,0,1,1,0,0,0,0,0,1],
        [1,0,1,1,0,0,1,0,0,0,0,0,0,1,1,0,1,1,1,0]],
    "Frogs":[
        [0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,1,1],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0]],
    "Grapler":[
        [0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0],
        [0,0,0,0,1,1,0,0,0,1,0,0,0,0,0,0,0],
        [0,0,0,1,0,1,0,0,0,1,0,0,0,0,0,0,0],
        [1,1,1,1,1,0,0,0,0,1,1,0,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,1,0,1,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
        [0,0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,1,0,1,0,0,0,0,0,0,0,0,0],
        [0,0,0,0,0,0,1,1,0,0,0,0,1,1,1,1,1],
        [0,0,0,0,0,0,0,1,0,0,0,1,0,1,0,0,0],
        [0,0,0,0,0,0,0,1,0,0,0,1,1,0,0,0,0],
        [0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0],
        [0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0]],
    
    "Typh":[
        [1,1,1,0,1,0,1,0,1,1,1,0,1,0,1],
        [0,1,0,0,1,0,1,0,1,0,1,0,1,1,1],
        [0,1,0,0,0,1,0,0,1,1,1,0,1,1,1],
        [0,1,0,0,0,1,0,0,1,0,0,0,1,0,1]],
    
    "Alix": [
        [0,1,0,0,1,0,0,0,1,0,1,0,0,1],
        [1,0,1,0,1,0,0,0,1,0,0,1,1,0],
        [1,1,1,0,1,0,0,0,1,0,0,1,1,0],
        [1,0,1,0,1,1,1,0,1,0,1,0,0,1]],

    "Joseph": [
        [1,1,1,0,1,1,1,0,1,1,1,0,1,1,1,0,1,1,1,0,1,0,1],
        [0,1,0,0,1,0,1,0,1,0,0,0,1,0,0,0,1,0,1,0,1,0,1],
        [0,1,0,0,1,0,1,0,0,1,0,0,1,1,0,0,1,1,1,0,1,1,1],
        [0,1,0,0,1,0,1,0,0,0,1,0,1,0,0,0,1,0,0,0,1,0,1],
        [1,1,0,0,1,1,1,0,1,1,1,0,1,1,1,0,1,0,0,0,1,0,1]],
    
    "Domi": [
        [1,1,0,0,1,1,1,0,1,0,0,0,1,0,1],
        [1,0,1,0,1,0,1,0,1,1,0,1,1,0,0],
        [1,0,1,0,1,0,1,0,1,0,1,0,1,0,1],
        [1,0,1,0,1,0,1,0,1,0,0,0,1,0,1],
        [1,1,0,0,1,1,1,0,1,0,0,0,1,0,1]],

    "Alexis": [
        [0,1,0,0,1,0,0,0,1,1,1,0,1,0,1,0,1,0,1,1,1],
        [1,0,1,0,1,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0],
        [1,1,1,0,1,0,0,0,1,1,0,0,0,1,0,0,1,0,0,1,0],
        [1,0,1,0,1,0,0,0,1,0,0,0,0,1,0,0,1,0,0,0,1],
        [1,0,1,0,1,1,1,0,1,1,1,0,1,0,1,0,1,0,1,1,1]],  
    
    "8":[
        [1,1,1,1,1],
        [1,0,1,0,1],
        [1,1,1,1,1]]
}